Skip to main content
GET
/
profiles
/
{profile_id}
/
quote-executions
/
{id}
Get Quote Execution
curl --request GET \
  --url https://api.paxos.com/v2/profiles/{profile_id}/quote-executions/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/profiles/{profile_id}/quote-executions/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/profiles/{profile_id}/quote-executions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "43a59965-be3a-45ab-841d-c55386e0ff90",
  "profile_id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
  "quote_id": "366a26d2-3098-4226-a520-4bb43ae4d922",
  "status": "SETTLED",
  "market": "BTCUSD",
  "side": "BUY",
  "price": "6001.2",
  "base_amount": "2.35",
  "base_asset": "BTC",
  "quote_amount": "14102.82",
  "quote_asset": "USD",
  "created_at": "2020-01-17T18:36:31.345Z",
  "settled_at": "2020-01-17T18:36:32.123Z",
  "metadata": {
    "customer_id": "9b8c9cba-801e-4418-adc0-ede709df6339"
  }
}
OAuth Scope
exchange:read_quote_execution

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Path Parameters

profile_id
string
required
id
string
required

Response

200 - application/json

A successful response.

A QuoteExecution is an order to buy or sell an asset at a particular held Quote.

id
string
required

The UUID of the quote execution.

profile_id
string
required

The ID of the profile under which this order executed.

quote_id
string
required

The ID of the quote used to create this quote execution.

status
enum<string>
required

A QuoteExecution begins in state CREATED and transitions to end state SETTLED when all accounting movements are complete.

Available options:
CREATED,
SETTLED
market
enum<string>
required
Available options:
ETHEUR,
ETHSGD,
ETHUSD,
BTCEUR,
BTCSGD,
BTCUSD,
PAXGUSD,
BCHUSD,
LTCUSD,
USDPUSD,
LINKUSD,
AAVEUSD,
UNIUSD,
PEPEUSD,
TRUMPUSD,
SHIBUSD,
ARBUSD,
BONKUSD,
ENAUSD,
MNTUSD,
ONDOUSD,
PENGUUSD,
QNTUSD,
RENDERUSD,
SKYUSD,
WIFUSD,
WLDUSD,
DOGEUSD,
AVAXUSD,
SUIUSD
side
enum<string>
required

Trade side.

Available options:
BUY,
SELL
price
string<decimal>
required

The guaranteed price of the quote.

base_amount
string<decimal>
required

The amount of assets (crypto) in the transaction.

base_asset
string
required

The "base" side of the trading pair (crypto - like BTC, ETH, PAXG).

quote_amount
string<decimal>
required

The amount of quote currency (cash) in the transaction.

quote_asset
string
required

The "quote" side of the trading pair (fiat - like USD, EUR, SGD).

created_at
string<date-time>
required

The time at which the quote execution was created.

ref_id
string

A unique identifier for the quote execution creation (for idempotence).

settled_at
string<date-time>

The time at which the quote execution was settled, completing its lifecycle.

metadata
object

Client-specified metadata.

identity_id
string

The identity under which this quote execution is placed.

account_id
string

The account under which this quote execution is placed.

recipient_profile_id
string

The ID of the profile under which to deposit the funds.